# $Revision: 1.42 $, $Date: 2008/07/27 22:52:07 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	ExtUtils
%define		pnam	TBone
Summary:	ExtUtils::TBone - a "skeleton" for writing test files
Summary(pl.UTF-8):	ExtUtils::TBone - szkielet do tworzenia testów
Name:		perl-ExtUtils-TBone
Version:	1.124
Release:	8
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	81914cadf266f6cd2083bd321c1557cd
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ExtUtils::TBone Perl module is intended for folks who release CPAN
modules with "t/*.t" tests. It makes it easy for you to output
syntactically correct test-output while at the same time logging all
test activity to a log file. Hopefully, bug reports which include the
contents of this file will be easier for you to investigate.

%description -l pl.UTF-8
Moduł Perla ExtUtils::TBone jest przeznaczony dla autorów modułów CPAN
zawierających testy "t/*.t". Upraszcza on tworzenie poprawnego
składniowo wyjścia testów, przy jednoczesnym logowaniu wszelkiej
aktywności danego testu. Raporty o błędach zawierające ten log powinny
być łatwiejsze do zbadania.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README docs/*
%{perl_vendorlib}/ExtUtils/TBone.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-ExtUtils-TBone.spec,v $
Revision 1.42  2008/07/27 22:52:07  arekm
- release 8

Revision 1.41  2007-02-13 07:47:11  glen
- tabs in preamble

Revision 1.40  2007/02/12 00:49:30  baggins
- converted to UTF-8

Revision 1.39  2004/11/03 22:30:20  paladine
- formatting

Revision 1.38  2004/05/07 01:24:28  ankry
- rel. 7

Revision 1.37  2004/05/06 18:09:33  ankry
- fixed perl-devel BR

Revision 1.36  2004/04/25 19:57:11  ankry
- added tests

Revision 1.35  2004/04/20 08:33:11  ankry
- better summary/description, license fixes and unification

Revision 1.34  2003/09/09 10:24:34  ankry
- spaces -> tab

Revision 1.33  2003/08/18 08:08:45  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.32  2003/05/28 13:00:37  malekith
- massive attack: source-md5

Revision 1.31  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.29  2003/03/01 19:08:40  radek
- should be ready for perl-5.8.0; release++

Revision 1.28  2003/02/25 00:38:34  radek
- use the __perl macro

Revision 1.27  2003/02/18 15:32:05  ankry
- massive attack: change CPAN URLs

Revision 1.26  2002/11/26 00:13:55  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.25  2002/07/10 08:47:09  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.24  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.23  2002/02/25 10:31:12  depesz
cleanup; revision++

Revision 1.22  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/02/13 14:12:40  depesz
automatic: Source location unfied, Relase Up

Revision 1.20  2002/02/10 15:26:03  depesz
adapterized

Revision 1.19  2002/01/18 02:14:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2001/11/28 15:20:16  mis
- buildarch noarch; release++

Revision 1.17  2001/11/27 23:30:21  filon
- fixed broken docs and added html documentation
- release 2

Revision 1.16  2001/09/10 12:54:30  mis
- autoupdated to 1.124

Revision 1.15  2001/08/27 11:07:23  mis
- autoupdated to 1.121

Revision 1.14  2001/04/17 12:08:32  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.13  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.12  2001/01/02 15:40:58  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.11  2000/09/05 07:17:45  kloczek
- updated to 1.117.

Revision 1.10  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.9  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.7  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:54:51  baggins
- translated kloczkish into english

Revision 1.5  2000/03/26 14:33:15  kloczek
- removed README from %doc.

Revision 1.4  2000/03/26 14:04:36  kloczek
- updated to 1.116.

Revision 1.3  2000/02/17 20:42:19  pius
- updated to 1.114

Revision 1.2  1999/11/05 16:52:51  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 19:29:02  pius
- initial release
